package it.integry.integrywmsnative.core.data_recover;

import java.util.List;

import it.integry.integrywmsnative.core.model.MtbColt;
import it.integry.integrywmsnative.core.rest.model.OrdineUscitaInevasoDTO;

public class ColliDataRecoverDTO {

    private int id;
    private int numCollo;
    private String serCollo;
    private String dataCollo;
    private String gestioneCollo;
    private String filtro;

    private List<OrdineUscitaInevasoDTO> testateOrdini;

    public int getId() {
        return id;
    }

    public ColliDataRecoverDTO setId(int id) {
        this.id = id;
        return this;
    }

    public int getNumCollo() {
        return numCollo;
    }

    public ColliDataRecoverDTO setNumCollo(int numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public ColliDataRecoverDTO setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public String getDataCollo() {
        return dataCollo;
    }

    public ColliDataRecoverDTO setDataCollo(String dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public String getGestioneCollo() {
        return gestioneCollo;
    }

    public ColliDataRecoverDTO setGestioneCollo(String gestioneCollo) {
        this.gestioneCollo = gestioneCollo;
        return this;
    }

    public String getFiltro() {
        return filtro;
    }

    public ColliDataRecoverDTO setFiltro(String filtro) {
        this.filtro = filtro;
        return this;
    }

    public List<OrdineUscitaInevasoDTO> getTestateOrdini() {
        return testateOrdini;
    }

    public ColliDataRecoverDTO setTestateOrdini(List<OrdineUscitaInevasoDTO> testateOrdini) {
        this.testateOrdini = testateOrdini;
        return this;
    }


    public MtbColt getMtbColt() {
        return new MtbColt()
                .setNumCollo(getNumCollo())
                .setSerCollo(getSerCollo())
                .setGestione(getGestioneCollo())
                .setDataCollo(getDataCollo())
                .setFiltroOrdini(getFiltro());
    }
}
